#
# spec file for package ffhevc
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ffhevc
Version:        2.9.8
Release:        1.1
Summary:        A small shell script for encoding to H.265/HEVC with ffmpeg
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            https://sourceforge.net/projects/ffhevc
Source0:        %{name}-%{version}.tar.gz
Requires:       ffmpeg
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A very basic and small shell script for encoding video files to the H.265/HEVC video format using ffmpeg and libx265.

%prep
%setup -q

%build

%install
install -D -m 755 %{name} %{buildroot}/%{_bindir}/%{name}

gzip -9 %{name}.1
install -D -m 644 %{name}.1.gz %{buildroot}/%{_mandir}/man1/%{name}.1.gz



%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{ext_man}
%doc AUTHORS ChangeLog LICENSE README preset.txt

%changelog
* Thu Nov 10 2016 neutrino8@opensuse.org
- Update to version 2.9.8
  * Check if name of input file matches that of output file and warn
    and exit. Requires the realpath utility
  * Added support for the m2ts, mts and ts containers
  * Merged the code that checks if an audio codec is supported by a
    container with that that checks for additional output containers.
    Removes code duplication and maintainability
  * Update to the audio sample rates. Sync them with
    ffmpeg -h encoder=<encoder>
  * Restrict TrueHD channels to 2, 5 and 6 as that's what the encoder
    supports
  * Updated the README file
* Wed Nov  9 2016 neutrino8@opensuse.org
- Update to version 2.9.7
  * Renamed config var CON to CONFMT. Updates config file version
    to 29
  * Reduced some duplication in the audio codec checks for the
    container formats
  * Reduced some error message duplication when checking if an
    additional container supports an audio codec
  * Rework to the additional container selection code
  * Added color functions for the additional container conversion
  * Added back support for the MOV container
* Tue Nov  8 2016 neutrino8@opensuse.org
- Update to version 2.9.6
  * Added support for encoding to TrueHD audio. Requires a very
    recent ffmpeg version, preferably latest from git
  * Some small improvements to the additional container output
  * Moved the video_deinterlace_func() function inside the actual
    deinterlace code
  * Update to the README file
  * Update to the man page
* Mon Nov  7 2016 neutrino8@opensuse.org
- Update to version 2.9.5
  * Cosmetics in the code for deinterlacing
  * Instead of skipping FPS conversion if the FPS can't be detected,
    ask the user to provide it
  * Use single brackets instead of double ones in the nosound
    setup code
  * Added license snippet at the top of the script
  * Added support for outputting to additional container formats
  * Do some checking on supported audio codecs for the supported
    containers
  * Check specified container and warn and exit if it's not supported
  * Support setting the FLAC compression level
  * Break out of the if conditionals in the audio code and replace
    them with two case statements
  * Update to the README file
* Sun Nov  6 2016 neutrino8@opensuse.org
- Update to version 2.9.4
  * Bugfix: resampling wasn't working for fdk-aac due to missing
    value in the case statement
  * Check if output file exists and if so, move it to $file.old
  * Use test directly instead of an if condition to set the audio
    filters
  * Support bitrate calculations for target file size when doing
    audio copy
  * Use fdk* in the case statements for easier typing
  * Renamed variable astrm to astream for clarity
  * Use [1-2]p in the case statements for passmodes instead of 1p|2p
  * New function, video_field_parity_func(), to detect and report the
    interlace field order. Used by motion-compensation deinterlacing
    and interlaced encoding
  * Detect and display audio sample rate in case resampling is chosen
  * Improvements to the video_fps_func() function. Get the FPS value
    directly instead of outputting to a file and reading it
* Sat Nov  5 2016 neutrino8@opensuse.org
- Update to version 2.9.3
  * Use a single var, $ofps, to set the output FPS for both
    deinterlace bobbing and FPS conversion
  * Use new $bob var to indicate that we do bobbing and use that
    var to disable FPS conversion
  * Renamed $fp var in video_deinterlace_func() to $fpar
  * Print a warning message that FPS conversion gets disabled if
    the user chooses audio copy
  * Added support for the FDK-AAC audio codec. Requires ffmpeg
    to be compiled with libfdk-aac support
  * Support FPS conversion with the 'fps' filter
  * Some minor code optimizations
* Fri Nov  4 2016 neutrino8@opensuse.org
- Update to version 2.9.2
  * Bugfix: the scale variable was used twice for different things
    causing an overwrite of the scale filter parameters, which
    eventually results in ffmpeg complaining and exiting
  * Added support for NTSC <-> NTSC and NTSC <-> PAL frame rate
    conversions
  * New var in config file, VID_FPS_CONVERT, to enable/disable
    FPS conversion. Bumps up config file version to 28
  * Moved the FPS detection code into its own function so it can
    be easily reused
  * Minor cosmetics
  * Updated the README file
* Thu Nov  3 2016 neutrino8@gmail.com
- Update to version 2.9.1
  * Added support for interlace-aware encoding
  * Added support for the spp, uspp and pp7 deblockers
  * Support asking for software scaler during exec time
  * Added new SCALE var to the config file to enable/disable
    support for software scaling. Bumps up the config file
    version to 27
  * Do a test write to see if output directory is writable by
    the script executing user
  * Updated the README file
* Wed Nov  2 2016 neutrino8@gmail.com
- Update to version 2.9.0
  * Added support for motion compensation deinterlacing for both
    deinterlacing at original FPS and bobbing
  * Use denoise var instead of denoiser for the denoise filters
    and rotate var instead of transpose for the transpose filter
  * Added support for deblocking with the fspp filter. This bumps
    up the config file version to 26
  * Update to the README file
* Tue Nov  1 2016 neutrino8@gmail.com
- Update to version 2.8.9
  * Added support for bobbing (deinterlace at double FPS)
  * Cosmetics: add menu header to the Color Primaries option
* Tue Oct 18 2016 neutrino8@gmail.com
- Add changes file
